Bug 994103 - [RFE] cli: --limit should accept long-represented time specifiers [NEEDINFO]
[RFE] cli: --limit should accept long-represented time specifiers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Woerner
Tomas Dolezal
: FutureFeature
Depends On:
Blocks: 980210
  Show dependency treegraph
 
Reported: 2013-08-06 10:17 EDT by Tomas Dolezal
Modified: 2014-06-17 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:38:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jscotka: needinfo? (twoerner)


Attachments (Terms of Use)

  None (edit)
Description Tomas Dolezal 2013-08-06 10:17:32 EDT
Description of problem:
cli/richlanguage: --limit should accept /sec, /minute, /hour, /day postfixes which are supported at iptables level


Version-Release number of selected component (if applicable):
firewalld-0.3.4-1

How reproducible:
rfe

Steps to Reproduce:
firewall-cmd --add-rich-rule 'rule service name=http log level=notice limit value=4/minute'

Expected results:


Additional info:
Comment 6 Tomas Dolezal 2014-01-28 08:09:09 EST
VERIFIED firewalld-0.3.9-3.el7.noarch

# firewall-cmd --add-rich-rule 'rule service name=http log level=notice limit value=4/m'
remote connection tests were logged with specified limit applied
Comment 8 Ludek Smid 2014-06-13 08:38:33 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.